34
ответа

Невозможно установить какой-либо модуль npm с моим узлом [duplicate]

ОШИБКА: npm, как известно, не работает на Node.js v4.2.6. Поддерживается Node.js 4, но у конкретной версии, на которой вы работаете, есть ошибка, известная для разгона npm. Обновите, по крайней мере, 4.7.0, чтобы использовать эту версию npm ....
вопрос задан: 25 February 2018 11:58
26
ответов

Проблема версии Node.js 'nodejs' и 'node' [duplicate]

Я пытаюсь установить nodejs на lubuntu os, но есть две отдельные версии «nodejs» и «node». У nodejs есть стабильная старая версия 4.2.6. У узла есть последняя версия 8.5.0 npm работает только с nodejs. ...
вопрос задан: 6 September 2017 12:13
19
ответов

Как установить последние версии NodeJS и NPM?

Я заметил в https://nodejs.org/веб-сайт, что узел в настоящее время в v 0.12.0. Кто-то может сообщить мне, как установить последнюю версию узла вместе с npm (терминальные команды)?
вопрос задан: 25 February 2018 00:58
18
ответов

Как установить последние версии NodeJS и NPM?

Я заметил на веб-сайте https://nodejs.org/, что узел в настоящее время находится в v 0.12.0. Может ли кто-нибудь дать мне знать, как установить последнюю версию узла вместе с npm (команды терминала, пожалуйста)?
вопрос задан: 25 February 2018 11:58
16
ответов

Порт Node.js 3000 уже используемый, но это на самом деле не?

Я работал с node.js проектом в течение нескольких недель, и он работал отлично. Обычно я использую 'npm, начинают' запускать мое приложение и просматривать его в браузере в на localhost, порт 3000. Сегодня, я запустил...
вопрос задан: 5 September 2016 01:52
12
ответов

Как установить npm на 17.10?

Я просто хотел установить npm через терминал, и теперь я просто застрял с некоторыми зависимостями. Он хочет, чтобы я установил несколько зависимостей, например: libssl1.0-dev nodejs-dev node-gyp Даже если я попытаюсь ...
вопрос задан: 10 January 2018 01:07
10
ответов

NPM является неправильной версией на последней установке Ubuntu (18.04)

Обычной установкой будет sudo apt install nodejs для установки Node.js, а затем sudo apt install npm для установки Node Package Manager. Однако, делая это, npm -v говорит 3.5.2. Чтобы нормально обновиться, я ...
вопрос задан: 15 May 2018 00:14
10
ответов

Как установить Node.js без доступа sudo, но с установленной npm 1.3.10?

Я мало знаю Ubuntu 14.04. Мне нужно установить Node.js. Ubuntu, который я использую, является большой системой для организации, поэтому у меня нет доступа sudo, но я обнаружил, что установлен npm 1.3.10. ...
вопрос задан: 1 December 2017 14:32
9
ответов

Каковы все методы установки для NodeJS и NPM?

Я использую 16.04, но я бы не прочь переключиться на 14.04, если это необходимо. Я хотел бы установить два пакета: NodeJS и npm. Какие шаги я могу предпринять для этого? Кроме того, как мне обновить NPM ...
вопрос задан: 19 July 2017 01:08
9
ответов

Модули узла имеют 755 полномочий, какие полномочия я должен установить так, чтобы npm не требовали sudo?

Я использую платформу, которая выполняет npm, и webpack автоматически, каталог,/usr/lib/node_modules, имеет 755 полномочий, которые требуют для выполнения npm через sudo. Платформа, которую я использую, не позволяет добавлять...
вопрос задан: 7 January 2017 22:20
8
ответов

Не удалось обновить npm [duplicate]

На моего Ubuntu 16.04, я стараюсь, чтобы обновить нпм до последней версии: $ нпм установить последний -г нпм@я получаю следующую ошибку: нпм нпм нпм предупредить не поддерживает Node.js В9.5.0 нпм нпм предупредить Вы должны ...
вопрос задан: 10 January 2018 01:07
8
ответов

не может установить npm на Ubuntu

Пытался установить nodejs и npm на Ubuntu 12.04. Я погуглил и сделал это. Теперь я не смог установить npm на машину. sudo apt-get install npm, что дает мне это Следующие пакеты имеют unmet ...
вопрос задан: 7 May 2014 18:02
7
ответов

вопрос задан: 25 March 2019 01:19
7
ответов

узел: команда не найдена

Я не понимаю, почему команда узла не будет работать, в то время как работает nodejs: $ node --version zsh: команда не найдена: node $ nodejs --version v0.10.15 Я попытался apt-get установить nodejs, но последний .. ,
вопрос задан: 13 January 2014 21:48
6
ответов

Почему я вижу разные версии узлов и узлов?

Я выполнил следующие команды для установки стабильной версии узла sudo npm cache clean -f sudo npm install -g n sudo npm install -g n Теперь, когда я запускаю узел -v, я вижу v10.0.0, тогда как nodejs -v ...
вопрос задан: 1 May 2018 17:37
6
ответов

Проблема с установкой npm в ubuntu 16.04.3 [duplicate]

После установки node.js я выполняю эту команду: sudo apt-get install npm И получение ошибки: следующие пакеты имеют неудовлетворенные зависимости: npm: Depends: node-gyp (& gt; = 0.10.9), но это не так ...
вопрос задан: 27 September 2017 09:14
6
ответов

Ошибка обновления npm

Я на самом деле пытался установить nodejs вместе с npm на моем Ubuntu 17.04. я загрузил версию Linux из nodejs.org и создал софт-ссылку для узла и nodejs. после проверки версии nodejs это ...
вопрос задан: 15 June 2017 05:21
6
ответов

node: команда не найдена

Я не понимаю, почему команда узла не работает, а nodejs работает: $ node --version zsh: команда не найдена: node $ nodejs --version v0.10.15 Я пробовал apt-get install nodejs, но последнее. ,
вопрос задан: 13 January 2014 23:48
6
ответов

Ошибки Npm при установке пакетов на общий ресурс Windows

У меня Ubuntu 12.10 работает в качестве гостя VMware на моем хосте Windows 8. У меня есть общая папка на моем хосте Windows 8, и она запускается в гостевой системе Ubuntu при запуске, используя эту запись в fstab: // myhost / ...
вопрос задан: 19 March 2013 04:12
5
ответов

Проверка обновления npm не удалась

на самом деле я пытался установить nodejs вместе с npm на моем Ubuntu 17.04. я скачал версию linux с nodejs.org и создал мягкую ссылку для node и nodejs. после проверки версии nodejs это ...
вопрос задан: 6 March 2019 14:47
5
ответов

Как я могу установить npm на 17.10?

Я просто хотел установить npm через терминал, и теперь я просто застрял с некоторыми зависимостями. Он хочет, чтобы я установил несколько зависимостей, например: libssl1.0-dev nodejs-dev node-gyp Даже если я попытаюсь ...
вопрос задан: 10 January 2018 00:07
5
ответов

npm ПРЕДУПРЕЖДАЮТ, что npm npm не поддерживает Node.js v9.1.0

Я обновил к последнему узлу v9.1.0, и теперь npm не работает. npm ПРЕДУПРЕЖДАЮТ, что npm npm не поддерживает Node.js v9.1.0
вопрос задан: 10 November 2017 18:31
5
ответов

Как вы устанавливаете меньше компилятора командной строки CSS?

Насколько я понимаю, и поправьте меня, если я ошибаюсь, мне нужно установить ruby ​​или NPM, чтобы работал компилятор css. У меня не установлено никакого рубина, и я не совсем уверен, как получить мой ...
вопрос задан: 13 April 2017 15:25
5
ответов

Ошибка при запуске `npm run build`

В чем может быть проблема? & GT; @ build / home / mafia / repo & gt; npm run build: src & amp; & amp; & amp; npm run build: test & gt; @ build: src / home / mafia / repo & gt; babel src / main / webapp / js / -x ".es6" -d src / main / ...
вопрос задан: 9 April 2017 21:10
5
ответов

bower install ничего не делает, даже не выдает ошибку

Я на Ubuntu 14.04. Я сделал sudo apt-get install npm. Затем я установил npm install -g bower, который был успешным. С помощью npm я получаю / usr / bin / npm /. С какой беседой я получаю / usr / local / bin / bower. Я ...
вопрос задан: 13 September 2014 09:32
5
ответов

не удалось установить npm на ubuntu

Пытался установить nodejs и npm на ubuntu 12.04. Я googled и сделал это. Теперь я не смог установить npm на машине. sudo apt-get install npm Что дает мне это Следующие пакеты неудовлетворены ...
вопрос задан: 7 May 2014 19:02
5
ответов

установка npm зависает

Это - мой package.json: {"имя": "my-example-app", "версия": "0.1.0", "зависимости": {"запрос": "*", "нано": "3.3.x", "асинхронный": "~0.2" }} Теп
вопрос задан: 1 June 2013 18:59
5
ответов

Ошибки Npm при установке пакетов на общем ресурсе Windows

У меня Ubuntu 12.10 работает как гостевой VMware на моем хосте Windows 8. Я поделился папкой на моем Windows 8 Host, и он монтируется в гостевой Ubuntu при запуске, используя эту запись в fstab: // myhost / ...
вопрос задан: 19 March 2013 06:12
4
ответа

ошибка сторожа реагировать-собственного-компонента, после того, как npm запускаются на Ubuntu 17.10.

Я пытаюсь запустить проект Реагировать-собственного-компонента на Ubuntu, узле, npm являются самое позднее версиями. согласно документации у меня есть Установка весь официальный create-react-native-app и его зависимости. вот...
вопрос задан: 7 April 2018 07:46
4
ответа

Установите Node.js в Ubuntu 14.04 [дубликат]

Я установил Node.js с: склонные sudo - получают установку nodejs, Но когда я ввожу в консольном узле, я ничего не получаю, никакая команда, не найденная, никакая любая ошибка. Но когда я ввожу nodejs, я получаю подсказку Node.js>. Теперь...
вопрос задан: 3 March 2018 13:44